import 'package:flutter/material.dart';
import 'package:syncrow_web/pages/spaces_management/all_spaces/model/community_model.dart';
import 'package:syncrow_web/pages/spaces_management/all_spaces/model/space_model.dart';

abstract class AnalyticsDataLoadingStrategy {
  void onCommunitySelected(
    BuildContext context,
    CommunityModel community,
    List<SpaceModel> spaces,
  );
  void onSpaceSelected(
    BuildContext context,
    CommunityModel community,
    SpaceModel space,
  );
  void clearData(BuildContext context);
}
